/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "packet.h"
#include "util/memory.h"

void packetDisconnectCreate(
  packet_t *packet,
  const packetdisconnectreason_t reason
) {
  packetInit(packet, PACKET_TYPE_DISCONNECT, sizeof(packetdisconnect_t));
  packet->data.disconnect.reason = reason;
}