/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "packet.h"
#include "util/memory.h"

void packetWelcomeCreate(packet_t *packet) {
  packetInit(packet, PACKET_TYPE_WELCOME, PACKET_WELCOME_SIZE);
  memoryCopy(
    packet->data.welcome.dusk, PACKET_WELCOME_STRING, PACKET_WELCOME_SIZE
  );
}